{ config, nix-flatpak, nixos-hardware, disko, agenix, ... }:

{
  imports =
    [
      # Hosts
      ./hardware-configuration.nix
      ./hardware.nix
      ./disko-config.nix

      ../../users/lyes
      ../../users/lyes/desktop

      ../../modules
      ../../modules/desktop
      ../../modules/gaming
      ../../modules/gnome
      ../../modules/sway

      nix-flatpak.nixosModules.nix-flatpak
      nixos-hardware.nixosModules.framework-16-7040-amd
      disko.nixosModules.disko
      agenix.nixosModules.default
    ];

  # Networking
  networking = {
    hostName = "lyes-pc";
    hostId = "ed183b8f";
  };

  # This value determines the NixOS release from which the default
  # settings for stateful data, like file locations and database versions
  # on your system were taken. It‘s perfectly fine and recommended to leave
  # this value at the release version of the first install of this system.
  # Before changing this value read the documentation for this option
  # (e.g. man configuration.nix or on https://nixos.org/nixos/options.html).
  system.stateVersion = "22.11"; # Did you read the comment?
  # home-manager.users.lyes.home.stateVersion = config.system.stateVersion;
}
